-- Create POOL_CRITERIA table

CREATE TABLE FACELECTMGR.POOL_CRITERIA
   (
      POOL_ID NUMBER(7,0),
      CRITERIA_ID NUMBER(7,0),
      CRITERIA_OPTION_ID NUMBER(7,0),
      CREATE_USER VARCHAR2(30),
      UPDATE_USER VARCHAR2(30),
      DATE_CREATED DATE,
      DATE_UPDATED DATE,
      PRIMARY KEY(POOL_ID,CRITERIA_ID,CRITERIA_OPTION_ID),
      FOREIGN KEY (pool_id) REFERENCES FACELECTMGR.POOL(POOL_ID),
      FOREIGN KEY (criteria_id) REFERENCES FACELECTMGR.CRITERIA(CRITERIA_ID),
      FOREIGN KEY (criteria_option_id) REFERENCES FACELECTMGR.CRITERIA_OPTION(CRITERIA_OPTION_ID)
   ); 
   
-- POOL_CRITERIA Table column name description:

   COMMENT ON COLUMN "FACELECTMGR"."POOL_CRITERIA"."POOL_ID" IS 'id related to the pool table';
   COMMENT ON COLUMN "FACELECTMGR"."POOL_CRITERIA"."CRITERIA_ID" IS 'id related to the criteria table';
   COMMENT ON COLUMN "FACELECTMGR"."POOL_CRITERIA"."CRITERIA_OPTION_ID" IS 'id related to the criteria_option table';
   COMMENT ON COLUMN "FACELECTMGR"."POOL_CRITERIA"."CREATE_USER" IS 'name of the user created';
   COMMENT ON COLUMN "FACELECTMGR"."POOL_CRITERIA"."UPDATE_USER" IS 'name of the user updated';
   COMMENT ON COLUMN "FACELECTMGR"."POOL_CRITERIA"."DATE_CREATED" IS 'date when the pool criteria table was created';
   COMMENT ON COLUMN "FACELECTMGR"."POOL_CRITERIA"."DATE_UPDATED" IS 'date when the pool criteria table was updated';